<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingTop="@dimen/convert_48px"
    android:background="#000"
    android:paddingStart="@dimen/convert_45px"
    android:paddingEnd="@dimen/convert_45px"
    android:paddingBottom="@dimen/convert_48px">

    <RelativeLayout
        android:id="@+id/card_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="visible">

        <FrameLayout
            android:background="@drawable/shadow_23pxffffff_stoke"
            android:id="@+id/filter_card_view"
            android:layout_width="@dimen/convert_405px"
            android:layout_height="@dimen/convert_122px"
            app:cardCornerRadius="@dimen/convert_15px"
            app:cardUseCompatPadding="true">

            <ImageView
                android:id="@+id/iv_filter_arrow"
                android:layout_width="@dimen/convert_42px"
                android:layout_height="@dimen/convert_24px"
                android:layout_gravity="center_vertical|end"
                android:layout_marginEnd="@dimen/convert_29px"
                android:background="@drawable/ic_down_arrow" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_filter_name"
                android:layout_width="match_parent"
                android:layout_marginEnd="@dimen/convert_90px"
                android:layout_marginStart="@dimen/convert_20px"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="@string/all"
                android:ellipsize="end"
                android:singleLine="true"
                android:textColor="@color/color_fff"
                android:textSize="@dimen/convert_39px" />
        </FrameLayout>

        <FrameLayout
            android:background="@drawable/shadow_23pxffffff_stoke"
            android:id="@+id/sort_card_view"
            android:layout_width="@dimen/convert_405px"
            android:layout_height="@dimen/convert_122px"
            android:layout_marginStart="@dimen/convert_40px"
            android:layout_toEndOf="@id/filter_card_view"
            app:cardCornerRadius="@dimen/convert_15px"
            app:cardUseCompatPadding="true">

            <ImageView
                android:id="@+id/iv_sort_arrow"
                android:layout_width="@dimen/convert_42px"
                android:layout_height="@dimen/convert_24px"
                android:layout_gravity="center_vertical|end"
                android:layout_marginEnd="@dimen/convert_29px"
                android:background="@drawable/ic_down_arrow" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_sort_name"
                android:layout_width="match_parent"
                android:singleLine="true"
                android:ellipsize="end"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginEnd="@dimen/convert_90px"
                android:layout_marginStart="@dimen/convert_20px"
                android:text="@string/a_z"
                android:textColor="@color/color_fff"
                android:textSize="@dimen/convert_39px" />

        </FrameLayout>

        <FrameLayout
            android:background="@drawable/shadow_23pxffffff_stoke"
            android:id="@+id/search_card_view"
            android:layout_width="@dimen/convert_122px"
            android:layout_height="@dimen/convert_122px"
            android:layout_alignParentEnd="true"
            app:cardCornerRadius="@dimen/convert_15px"
            app:cardUseCompatPadding="true">

            <ImageView
                android:layout_width="@dimen/convert_48px"
                android:layout_height="@dimen/convert_47px"
                android:layout_gravity="center"
                android:background="@drawable/ic_search" />
        </FrameLayout>
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/searchLayout"
        android:layout_width="match_parent"
        android:layout_height="@dimen/convert_120px"
        android:visibility="gone">

        <ImageView
            android:id="@+id/iv_back"
            android:layout_width="@dimen/convert_75px"
            android:layout_height="@dimen/convert_90px"
            android:layout_centerVertical="true"
            android:rotation="90"
            android:src="@drawable/ic_down_arrow" />

        <EditText
            android:textCursorDrawable="@drawable/shape_edittext_cursor"
            android:id="@+id/et_search"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="@dimen/convert_28px"
            android:layout_toEndOf="@id/iv_back"
            android:background="@drawable/shape_60pxe5e5e5_stoke"
            android:gravity="center_vertical"
            android:paddingStart="@dimen/convert_143px"
            android:singleLine="true"
            android:textColor="@color/color_6B6B6B"
            android:textColorHint="@color/color_B1B2B2"
            android:textSize="@dimen/convert_45px" />

        <ImageView
            android:id="@+id/iv_search"
            android:layout_width="@dimen/convert_60px"
            android:layout_height="@dimen/convert_60px"
            android:layout_centerVertical="true"
            android:layout_marginStart="@dimen/convert_88px"
            android:layout_toEndOf="@id/iv_back"
            android:background="@drawable/ic_search" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_search"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            android:layout_marginEnd="@dimen/convert_38px"
            android:paddingTop="@dimen/convert_10px"
            android:paddingBottom="@dimen/convert_10px"
            android:text="@string/search"
            android:textColor="@color/color_fff"
            android:textSize="@dimen/convert_54px" />
    </RelativeLayout>
</RelativeLayout>